SOURCE_PROPERTIES = {
    "uuid": {
        "type": "string",
        "description": "Unique identifier of the source."
    },
    "modified_at": {
        "type": "string",
        "description": "Timestamp indicating the last modification time (ISO 8601)."
    },
    "created_at": {
        "type": "string",
        "description": "Timestamp indicating the creation time (ISO 8601)."
    },
    "title": {
        "type": "string",
        "description": "Source title, generated by AI by default. Can be updated for citations."
    },
    "tokens": {
        "type": "number",
        "description": "Length of the file in tokens."
    },
    "file_size": {
        "type": "number",
        "description": "File size in bytes."
    },
    "file_name": {
        "type": "string",
        "description": "Original file name at the time of creation."
    },
    "type": {
        "type": "string",
        "description": "Source type. Options: qa, link, file."
    },
    "status": {
        "type": "string",
        "description": (
            "Source status:\n"
            "Error statuses: error:storage, error:token, error, fail.\n"
            "In-progress statuses: assigned, await, embedding, running, chunking, downloading.\n"
            "Success: success."
        )
    },
    "meta_json": {
        "type": "string",
        "description": "Source metadata. Contains questions and answers for QA-type sources."
    }
}
